node-autoprefixer_8.6.5-2_all.deb


Advertisement

Description

node-autoprefixer - add vendor prefixes to CSS rules

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename node-autoprefixer_8.6.5-2_all.deb
Package name node-autoprefixer
Package version 8.6.5
Package release 2
Package architecture all
Package type deb
Category javascript
Homepage https://github.com/postcss/autoprefixer#readme
License -
Maintainer Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Download size 52.32 KB
Installed size 354.00 KB
PostCSS plugin to parse CSS and add vendor prefixes to CSS rules using values
from the Can I Use website. It is recommended by Google and used in Twitter
and Taobao.
Write your CSS rules without vendor prefixes (in fact, forget about them
entirely).
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-autoprefixer_8.6.5-2_all.deb 8.6.5 all Debian Main
node-autoprefixer - - -

Requires

Name Value
node-browserslist >= 2.5.1
node-caniuse-lite >= 1.0.30000926+dfsg-2~
node-normalize-range >= 0.1.2
node-postcss >= 6.0.11
node-postcss-value-parser >= 3.2.3
nodejs -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package node-autoprefixer_8.6.5-2_all.deb
Source Package node-autoprefixer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-autoprefixer deb package:
    # sudo apt-get install node-autoprefixer

Files

Path
/usr/lib/nodejs/autoprefixer/package.json
/usr/lib/nodejs/autoprefixer/bin/autoprefixer
/usr/lib/nodejs/autoprefixer/data/prefixes.js
/usr/lib/nodejs/autoprefixer/lib/at-rule.js
/usr/lib/nodejs/autoprefixer/lib/autoprefixer.js
/usr/lib/nodejs/autoprefixer/lib/brackets.js
/usr/lib/nodejs/autoprefixer/lib/browsers.js
/usr/lib/nodejs/autoprefixer/lib/declaration.js
/usr/lib/nodejs/autoprefixer/lib/info.js
/usr/lib/nodejs/autoprefixer/lib/old-selector.js
/usr/lib/nodejs/autoprefixer/lib/old-value.js
/usr/lib/nodejs/autoprefixer/lib/prefixer.js
/usr/lib/nodejs/autoprefixer/lib/prefixes.js
/usr/lib/nodejs/autoprefixer/lib/processor.js
/usr/lib/nodejs/autoprefixer/lib/resolution.js
/usr/lib/nodejs/autoprefixer/lib/selector.js
/usr/lib/nodejs/autoprefixer/lib/supports.js
/usr/lib/nodejs/autoprefixer/lib/transition.js
/usr/lib/nodejs/autoprefixer/lib/utils.js
/usr/lib/nodejs/autoprefixer/lib/value.js
/usr/lib/nodejs/autoprefixer/lib/hacks/align-content.js
/usr/lib/nodejs/autoprefixer/lib/hacks/align-items.js
/usr/lib/nodejs/autoprefixer/lib/hacks/align-self.js
/usr/lib/nodejs/autoprefixer/lib/hacks/animation.js
/usr/lib/nodejs/autoprefixer/lib/hacks/appearance.js
/usr/lib/nodejs/autoprefixer/lib/hacks/background-size.js
/usr/lib/nodejs/autoprefixer/lib/hacks/block-logical.js
/usr/lib/nodejs/autoprefixer/lib/hacks/border-image.js
/usr/lib/nodejs/autoprefixer/lib/hacks/border-radius.js
/usr/lib/nodejs/autoprefixer/lib/hacks/break-props.js
/usr/lib/nodejs/autoprefixer/lib/hacks/color-adjust.js
/usr/lib/nodejs/autoprefixer/lib/hacks/cross-fade.js
/usr/lib/nodejs/autoprefixer/lib/hacks/display-flex.js
/usr/lib/nodejs/autoprefixer/lib/hacks/display-grid.js
/usr/lib/nodejs/autoprefixer/lib/hacks/filter-value.js
/usr/lib/nodejs/autoprefixer/lib/hacks/filter.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex-basis.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex-direction.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex-flow.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex-grow.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex-shrink.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex-spec.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex-wrap.js
/usr/lib/nodejs/autoprefixer/lib/hacks/flex.js
/usr/lib/nodejs/autoprefixer/lib/hacks/fullscreen.js
/usr/lib/nodejs/autoprefixer/lib/hacks/gradient.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-area.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-column-align.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-end.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-row-align.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-row-column.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-rows-columns.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-start.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-template-areas.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-template.js
/usr/lib/nodejs/autoprefixer/lib/hacks/grid-utils.js
/usr/lib/nodejs/autoprefixer/lib/hacks/image-rendering.js
/usr/lib/nodejs/autoprefixer/lib/hacks/image-set.js
/usr/lib/nodejs/autoprefixer/lib/hacks/inline-logical.js
/usr/lib/nodejs/autoprefixer/lib/hacks/intrinsic.js
/usr/lib/nodejs/autoprefixer/lib/hacks/justify-content.js
/usr/lib/nodejs/autoprefixer/lib/hacks/mask-border.js
/usr/lib/nodejs/autoprefixer/lib/hacks/order.js
/usr/lib/nodejs/autoprefixer/lib/hacks/overscroll-behavior.js
/usr/lib/nodejs/autoprefixer/lib/hacks/pixelated.js
/usr/lib/nodejs/autoprefixer/lib/hacks/placeholder.js
/usr/lib/nodejs/autoprefixer/lib/hacks/text-decoration.js
/usr/lib/nodejs/autoprefixer/lib/hacks/text-emphasis-position.js
/usr/lib/nodejs/autoprefixer/lib/hacks/transform-decl.js
/usr/lib/nodejs/autoprefixer/lib/hacks/writing-mode.js
/usr/lib/nodejs/autoprefixer/node_modules/num2fraction/index.js
/usr/lib/nodejs/autoprefixer/node_modules/num2fraction/package.json
/usr/share/doc/node-autoprefixer/README.md.gz
/usr/share/doc/node-autoprefixer/changelog.Debian.gz
/usr/share/doc/node-autoprefixer/changelog.gz
/usr/share/doc/node-autoprefixer/copyright

Changelog

2019-02-07 - Pirate Praveen <praveen@debian.org>
node-autoprefixer (8.6.5-2) unstable; urgency=medium
[ Xavier Guimard ]
* Declare compliance with policy 4.3.0
* Add upstream/metadata
* Fix debian/copyright format
* Use rollup to build browser bundle
[ Pirate Praveen ]
* Add libjs-autoprefixer binary to avoid depending on nodejs for the browser
bundle (since it also provides an executable, we cannot remove nodejs
dependency)
2019-01-06 - Pirate Praveen <praveen@debian.org>
node-autoprefixer (8.6.5-1) unstable; urgency=medium
[ Sruthi Chandran ]
* New upstream release
[ Pirate Praveen ]
* Add component in gbp.conf
* Tighten dependency on node-caniuse-lite
2018-10-16 - Pirate Praveen <praveen@debian.org>
node-autoprefixer (7.2.5-1) unstable; urgency=medium
* Initial release (Closes: #881159)

See Also

Package Description
node-autosize_4.0.2~dfsg1-3_all.deb script to automatically adjust textarea height to fit text - Javascript
node-aws-sign2_0.7.1-1_all.deb AWS signing in JavaScript
node-aws4_1.8.0-1_all.deb Signs and prepares requests using AWS Signature Version 4
node-axios_0.17.1+dfsg-2_all.deb Promise based HTTP client for the browser and node.js
node-babel-cli_6.26.0+dfsg-3_all.deb Babel command line
node-babel-code-frame_6.26.0+dfsg-3_all.deb generate errors that contain a code frame that point to source locations
node-babel-core_6.26.0+dfsg-3_all.deb Babel compiler core
node-babel-eslint_7.2.3-2_all.deb Custom parser for ESLint
node-babel-generator_6.26.0+dfsg-3_all.deb Turns an AST into code
node-babel-helper-bindify-decorators_6.26.0+dfsg-3_all.deb Helper function to bindify decorators
node-babel-helper-builder-binary-assignment-operator-visitor_6.26.0+dfsg-3_all.deb Helper function to build binary assignment operator visitors
node-babel-helper-builder-react-jsx_6.26.0+dfsg-3_all.deb Helper function to build react jsx
node-babel-helper-call-delegate_6.26.0+dfsg-3_all.deb Helper function to call delegate
node-babel-helper-define-map_6.26.0+dfsg-3_all.deb Helper function to define a map
node-babel-helper-explode-assignable-expression_6.26.0+dfsg-3_all.deb Helper function to explode assignable expressions
Advertisement
Advertisement